Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class ExchangeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.util.NestedException
                  com.compoze.exchange.ExchangeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PropertyValue.PropertyValueNullException

public class ExchangeException
extends NestedException

This class is an exception that wraps any exceptions thrown in Exchange.

See Also:
  Serialized Form

Constructor Summary
`ExchangeException()` Constructor.
`ExchangeException(java.lang.Exception e)` Constructor.
`ExchangeException(java.lang.Exception e, java.lang.String sMessage)` Constructor.
`ExchangeException(java.lang.String sMessage)` Constructor.
`ExchangeException(java.lang.Throwable t)` Constructor.
`ExchangeException(java.lang.Throwable t, java.lang.String sMessage)` Constructor.
`ExchangeException(java.lang.Throwable t, java.lang.String sMessage, java.lang.String sUserMessage)` Constructor.
`ExchangeException(java.lang.Throwable t, java.lang.String sMessage, java.lang.String sUserMessage, int iResultCode)` Constructor.

Method Summary
`int` | `getResultCode()` Gets the result code specific to this exception.
`java.lang.String` | `getUserMessage()` Gets a message suitable for display to the user.

Methods inherited from class com.compoze.util.NestedException
`getNestedException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExchangeException

    public ExchangeException()

  Constructor.

### ExchangeException

    public ExchangeException(java.lang.String sMessage)

  Constructor.

Parameters:
  `sMessage` - a detail message for the exception

### ExchangeException

    public ExchangeException(java.lang.Exception e)

  Constructor.

Parameters:
  `e` - the underlying exception

### ExchangeException

    public ExchangeException(java.lang.Exception e,
                             java.lang.String sMessage)

  Constructor.

Parameters:
  `e` - the underlying exception
  `sMessage` - a detail message for the exception

### ExchangeException

    public ExchangeException(java.lang.Throwable t)

  Constructor.

Parameters:
  `t` - the underlying throwable

### ExchangeException

    public ExchangeException(java.lang.Throwable t,
                             java.lang.String sMessage)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception

### ExchangeException

    public ExchangeException(java.lang.Throwable t,
                             java.lang.String sMessage,
                             java.lang.String sUserMessage)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception
  `sUserMessage` - a message suitable for display to the user

### ExchangeException

    public ExchangeException(java.lang.Throwable t,
                             java.lang.String sMessage,
                             java.lang.String sUserMessage,
                             int iResultCode)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception
  `sUserMessage` - a message suitable for display to the user
  `iResultCode` - an result code specific to the exception

Method Detail

### getUserMessage

    public java.lang.String getUserMessage()

  Gets a message suitable for display to the user.

### getResultCode

    public int getResultCode()

  Gets the result code specific to this exception.

  Returns:
    the result code, or -1 if no code is available.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.